org.apache.nutch.tools.proxy

## Class LogDebugHandler

- java.lang.Object
- - org.mortbay.component.AbstractLifeCycle
  - - org.mortbay.jetty.handler.AbstractHandler
    - - org.apache.nutch.tools.proxy.AbstractTestbedHandler
      - - org.apache.nutch.tools.proxy.LogDebugHandler

- All Implemented Interfaces:
    javax.servlet.Filter, org.mortbay.component.LifeCycle, org.mortbay.jetty.Handler

      public class LogDebugHandler
      extends AbstractTestbedHandler
      implements javax.servlet.Filter

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle

      `org.mortbay.component.LifeCycle.Listener`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.tools.proxy.AbstractTestbedHandler

      `debug`

    - ### Fields inherited from class org.mortbay.jetty.handler.AbstractHandler

      `_string`

    - ### Fields inherited from class org.mortbay.component.AbstractLifeCycle

      `_listeners`

    - ### Fields inherited from interface org.mortbay.jetty.Handler

      `ALL, DEFAULT, ERROR, FORWARD, INCLUDE, REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogDebugHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doFilter(javax.servlet.ServletRequest req, javax.servlet.ServletResponse res, javax.servlet.FilterChain chain)`
    `void` | `handle(org.mortbay.jetty.Request req, javax.servlet.http.HttpServletResponse res, String target, int dispatch)`
    `void` | `init(javax.servlet.FilterConfig arg0)`

    - ### Methods inherited from class org.apache.nutch.tools.proxy.AbstractTestbedHandler

      `addMyHeader, handle`

    - ### Methods inherited from class org.mortbay.jetty.handler.AbstractHandler

      `destroy, doStart, doStop, getServer, setServer, toString`

    - ### Methods inherited from class org.mortbay.component.AbstractLifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Filter

      `destroy`

    - ### Methods inherited from interface org.mortbay.component.LifeCycle

      `addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

- - ### Constructor Detail

    - #### LogDebugHandler

          public LogDebugHandler()

  - ### Method Detail

    - #### handle

          public void handle(org.mortbay.jetty.Request req,
                    javax.servlet.http.HttpServletResponse res,
                    String target,
                    int dispatch)
                      throws IOException,
                             javax.servlet.ServletException

      Specified by:
        `handle` in class `AbstractTestbedHandler`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### doFilter

          public void doFilter(javax.servlet.ServletRequest req,
                      javax.servlet.ServletResponse res,
                      javax.servlet.FilterChain chain)
                        throws IOException,
                               javax.servlet.ServletException

      Specified by:
        `doFilter` in interface `javax.servlet.Filter`
      Throws:
        `IOException`
        `javax.servlet.ServletException`

    - #### init

          public void init(javax.servlet.FilterConfig arg0)
                    throws javax.servlet.ServletException

      Specified by:
        `init` in interface `javax.servlet.Filter`
      Throws:
        `javax.servlet.ServletException`

Copyright © 2015 The Apache Software Foundation